pydo.functions_access_key.update()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.functions_access_key.update(
    namespace_id="fn-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    key_id="dof-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    body={
        "name": "updated-key-name",
    },
)
Returns JSONRaises HttpResponseError

Description

Updates the name of an access key for a serverless functions namespace.

To update an access key, send a PUT request to /v2/functions/namespaces/{namespace_id}/keys/{key_id}.

Parameters

namespace_id string required

The ID of the namespace to be managed.

key_id string required

The ID of the access key to be managed.

name string required

Example: updated-key-name

The new name for the access key.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "name": "updated-key-name"
}

resp = client.functions_access_key.update(namespace_id="fn-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx", key_id="dof-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx", body=req)

Response Example

Show Response Example
{
  "access_key": {
    "id": "dof_v1-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "name": "updated-key-name",
    "expires_at": "2026-12-19T10:30:00Z",
    "created_at": "2025-12-19T10:30:00Z",
    "updated_at": "2025-12-19T16:00:00Z"
  }
}

More Information

See /v2/functions/namespaces/{namespace_id}/keys/{key_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.